HOOGLE(1)

NAME
hoogle - A Haskell API search engine.

SYNOPSIS
hoogle EXPRESSION|COMMAND [OPTIONS]

DESCRIPTION
Hoogle is a Haskell API search engine which allows you to search Haskell libraries by either function name, or by approximate type signature.
Example searches with EXPRESSION:

        map
        (a -> b) -> [a] -> [b]
        Ord a => [a] -> [a]
        Data.Map.insert

The Hoogle manual (http://www.haskell.org/haskellwiki/Hoogle) contains more details, including further details on search queries, how to install Hoogle as a command line application and how to integrate Hoogle with Firefox/Emacs/Vim etc.

This program also has some command for special usage.

  Command reference:

data
    Generate Hoogle databases

server
    Start a Hoogle server

combine
    Combine multiple databases into one

convert
    Convert an input file to a database

test
    Run tests

dump
    Dump sections of a database to stdout

rank
    Generate ranking information

log Analyse log files

  Option reference:

-?, --help
    Show help message

-V,--version
    Print out version information

-v, --verbose
    Display verbose information

-q, --quiet
    Quiet verbosity

AUTHOR
The text for this page was constructed from the Hoogle search engine's web page and written by Erik de Castro Lopo <erikd@mega-nerd.com> and Kiwamu Okabe <kiwamu@debian.or.jp>, for the Debian GNU/Linux system (but may be used by others).

SEE ALSO

haddock(1), update-hoogle(8)